JavaScript/jQuery ProgressBar Methods

This section describes members used to manipulate the UI component.

See Also

beginUpdate()

Prevents the UI component from refreshing until the endUpdate() method is called.

The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.

See Also

defaultOptions(rule)

Specifies the device-dependent default configuration properties for this component.

Parameters:
rule:

Object

The component's default device properties.

Object structure:
Name Type Description
device

Device

|

Array<Device>

|

Function

Device parameters.
When specifying a function, get information about the current device from the argument. Return true if the properties should be applied to the device.

options

Object

Options to be applied.

defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the ProgressBar UI component in an application executed on the desktop.

JavaScript
  • DevExpress.ui.dxProgressBar.defaultOptions({
  • device: { deviceType: "desktop" },
  • options: {
  • // Here go the ProgressBar properties
  • }
  • });

dispose()

Disposes of all the resources allocated to the ProgressBar instance.

After calling this method, remove the DOM element associated with the UI component:

JavaScript
  • $("#myProgressBar").dxProgressBar("dispose");
  • $("#myProgressBar").remove();

Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:

See Also

element()

Gets the root UI component element.

Return Value:

HTMLElement | jQuery

An HTML element or a jQuery element when you use jQuery.

See Also

endUpdate()

Refreshes the UI component after a call of the beginUpdate() method.

Main article: beginUpdate()

See Also

getInstance(element)

Gets the instance of a UI component found using its DOM node.

Parameters:
element:

Element

|

jQuery

The UI component's container.

Return Value:

Object

The UI component's instance.

getInstance is a static method that the UI component class supports. The following code demonstrates how to get the ProgressBar instance found in an element with the myProgressBar ID:

  • // Modular approach
  • import ProgressBar from "devextreme/ui/progress_bar";
  • ...
  • let element = document.getElementById("myProgressBar");
  • let instance = ProgressBar.getInstance(element) as ProgressBar;
  •  
  • // Non-modular approach
  • let element = document.getElementById("myProgressBar");
  • let instance = DevExpress.ui.dxProgressBar.getInstance(element);
See Also

instance()

Gets the UI component's instance. Use it to access other methods of the UI component.

Return Value:

ProgressBar

This UI component's instance.

See Also

off(eventName)

Detaches all event handlers from a single event.

Parameters:
eventName:

String

The event's name.

Return Value:

ProgressBar

The object for which this method is called.

See Also

off(eventName, eventHandler)

Detaches a particular event handler from a single event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

ProgressBar

The object for which this method is called.

See Also

on(eventName, eventHandler)

Subscribes to an event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

ProgressBar

The object for which this method is called.

Use this method to subscribe to one of the events listed in the Events section.

See Also

on(events)

Subscribes to events.

Parameters:
events:

Object

Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}

Return Value:

ProgressBar

The object for which this method is called.

Use this method to subscribe to several events with one method call. Available events are listed in the Events section.

See Also

option()

Return Value:

Object

The UI component's properties.

See Also

option(optionName)

Gets the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

Return Value: any

This property's value.

See Also

option(optionName, optionValue)

Updates the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

optionValue: any

This property's new value.

See Also

option(options)

Updates the values of several properties.

Parameters:
options:

Object

Options with their new values.

See Also

repaint()

Repaints the UI component without reloading data. Call it to update the UI component's markup.

See Also

reset()

Resets the value property to the default value.

See Also

resetOption(optionName)

Resets a property to its default value.

Parameters:
optionName:

String

A property's name.

See Also

React ProgressBar Methods
This section describes members used to manipulate the UI component.
beginUpdate()
Prevents the UI component from refreshing until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.
See Also
defaultOptions(rule)
Specifies the device-dependent default configuration properties for this component.
The component's default device properties.
defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the ProgressBar UI component in an application executed on the desktop.
jQuery
DevExpress.ui.dxProgressBar.defaultOptions({
device: { deviceType: "desktop" },
options: {
// Here go the ProgressBar properties
}
});Angular
import ProgressBar from "devextreme/ui/progress_bar";
// ...
export class AppComponent {
constructor () {
ProgressBar.defaultOptions({
device: { deviceType: "desktop" },
options: {
// Here go the ProgressBar properties
}
});
}
}Vue
<template>
<div>
<DxProgressBar id="progressBar1" />
<DxProgressBar id="progressBar2" />
</div>
</template>
<script>
import DxProgressBar from "devextreme-vue/progress-bar";
import ProgressBar from "devextreme/ui/progress_bar";
ProgressBar.defaultOptions({
device: { deviceType: "desktop" },
options: {
// Here go the ProgressBar properties
}
});
export default {
components: {
DxProgressBar
}
}
</script>React
import React, {useEffect} from "react";
import dxProgressBar from "devextreme/ui/progress_bar";
import ProgressBar from "devextreme-react/progress-bar";
export default function App() {
useEffect(() => {
dxProgressBar.defaultOptions({
device: { deviceType: "desktop" },
options: {
// Here go the ProgressBar properties
}
})
});
return (
<div>
<ProgressBar id="progressBar1" />
<ProgressBar id="progressBar2" />
</div>
)
}dispose()
Disposes of all the resources allocated to the ProgressBar instance.
After calling this method, remove the DOM element associated with the UI component:
$("#myProgressBar").dxProgressBar("dispose");
$("#myProgressBar").remove();Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:
Angular
<dx-progress-bar ...
*ngIf="condition">
</dx-progress-bar>Vue
<template>
<DxProgressBar ...
v-if="condition">
</DxProgressBar>
</template>
<script>
import DxProgressBar from 'devextreme-vue/progress-bar';
export default {
components: {
DxProgressBar
}
}
</script>React
import React from 'react';
import ProgressBar from 'devextreme-react/progress-bar';
function DxProgressBar(props) {
if (!props.shouldRender) {
return null;
}
return (
<ProgressBar ... >
</ProgressBar>
);
}
class App extends React.Component {
render() {
return (
<DxProgressBar shouldRender="condition" />
);
}
}
export default App;See Also
element()
Gets the root UI component element.
An HTML element or a jQuery element when you use jQuery.
getInstance(element)
Gets the instance of a UI component found using its DOM node.
The UI component's instance.
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the ProgressBar instance found in an element with the myProgressBar ID:
// Modular approach
import ProgressBar from "devextreme/ui/progress_bar";
...
let element = document.getElementById("myProgressBar");
let instance = ProgressBar.getInstance(element) as ProgressBar;
// Non-modular approach
let element = document.getElementById("myProgressBar");
let instance = DevExpress.ui.dxProgressBar.getInstance(element);See Also
instance()
Gets the UI component's instance. Use it to access other methods of the UI component.
This UI component's instance.
off(eventName)
Detaches all event handlers from a single event.
The event's name.
The object for which this method is called.
off(eventName, eventHandler)
Detaches a particular event handler from a single event.
The object for which this method is called.
on(eventName, eventHandler)
Subscribes to an event.
The object for which this method is called.
on(events)
Subscribes to events.
Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}
The object for which this method is called.
option(optionName)
Gets the value of a single property.
The property's name or full path.
This property's value.
option(options)
Updates the values of several properties.
Options with their new values.
repaint()
Repaints the UI component without reloading data. Call it to update the UI component's markup.
resetOption(optionName)
Resets a property to its default value.
A property's name.
If you have technical questions, please create a support ticket in the DevExpress Support Center.